跳到主要内容

PR Submitted File Change Information

GET 

/api/v5/repos/:owner/:repo/pulls/:number/files.json

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

    repo stringrequired

    Repository path (path)

    number integerrequired

    The ordinal number of the PR in this repository, i.e., which PR it is.

    Example: 0

Query Parameters

    access_token string

    User authorization code

Responses​

Successful Response

Response Headers
    Schema
      codeinteger
      added_linesinteger
      remove_linesinteger
      countinteger
      diff_refs object
      base_shastring
      start_shastring
      head_shastring
      diffs object[]
    • Array [
    • new_blob_idstring
      statistic object
      typestring
      pathstring
      old_pathstring
      new_pathstring
      viewinteger
      head object
      urlstring
      commit_idstring
      added_linesinteger
      remove_linesinteger
      content object
      text object[]
    • Array [
    • line_contentstring
      old_line object
      line_codestring
      line_numstring
      new_line object
      line_codestring
      line_numstring
      typestring
    • ]
    • ]